"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const ink_1 = require("ink");
const ink_spinner_1 = __importDefault(require("ink-spinner"));
const theme_1 = __importDefault(require("../common/theme"));
const Loading = props => {
    return (react_1.default.createElement(ink_1.Box, null,
        react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor },
            react_1.default.createElement(ink_spinner_1.default, { type: 'dots' })),
        react_1.default.createElement(ink_1.Box, { marginLeft: 1 },
            react_1.default.createElement(ink_1.Text, { color: theme_1.default.mainColor }, props.children))));
};
exports.default = Loading;
